Skip to main content
Available in🇮🇳 India🇸🇬 Singapore
Payment Links are URLs that you can send to your customers through SMS and email to collect payments from them. Customers can click on the URL, which opens the payment request page, and complete the payment using any of the available payment methods. You can create, fetch, edit or cancel Payment Links using APIs or from the Dashboard.

Create a Standard Payment Link

POST /v1/payment_linksCreates a Standard Payment Link.

Fetch All Standard Payment Links

GET /v1/payment_linksRetrieves data of all Standard Payment Links.

Fetch a Standard Payment Link With ID

GET /v1/payment_links/:idRetrieves data of a Standard Payment Link with id.

Send or Resend Notifications

POST /v1/payment_links/:id/notify_by/:mediumSends notifications to your customers.

Update a Standard Payment Link

PATCH /v1/payment_links/:idUpdates the details of a Standard Payment Link.

Cancel a Standard Payment Link

POST /v1/payment_links/:id/cancelCancels a Standard Payment Link.

Implement Thematic Changes on Checkout

POST /v1/payment_linksMakes thematic chages to your Payment Links.

Changes Business Name

POST /v1/payment_linksChanges your Business name.

Customise Payment Methods (Example 1)

POST /v1/payment_linksCustomises Payment Methods with the Options and Method Parameters.

Customise Payment Methods (Example 2)

POST /v1/payment_linksCustomises Payment Methods with the Options and Config Parameters.

Rename Labels in the Checkout Section

POST /v1/payment_linksRenames Labels in the Checkout Section.

Rename Labels in Payment Details Section

POST /v1/payment_linksRenames Labels in the Payment details section.